package com.steerinfo.auth.shiro.realm;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.steerinfo.framework.controller.RESTfulResult;

@FeignClient(value = "sysmanage-service", fallback = OssServiceHystrix.class)
// @FeignClient(value = "sso-service", fallback = OssServiceHystrix.class)
public interface OssServiceClient {

	@RequestMapping(value="/v1/sysusers/{id}", method=RequestMethod.GET)

    public RESTfulResult getUser(@PathVariable("id") String id);
	
	@RequestMapping(value="/v1/sysusers/user/token/", method=RequestMethod.GET)
    public RESTfulResult getUserByToken();
	
	// /**
	// * 获取数据权限
	// * @return
	// */
	// @RequestMapping(value="/v1/sysdatablepolicys/daTablePolicyUserId",
	// method=RequestMethod.GET)
	// public RESTfulResult daTablePolicyUserId(@RequestParam HashMap<String,
	// Object> parmas);
	
	/**
	 * 获取数据权限
	 * @return
	 */
	@RequestMapping(value="/v1/sysdatablepolicys/getDaTablePolicys", method=RequestMethod.GET)
    public Object getDaTablePolicys();
}
