package com.steerinfo.ems.common.controller;

import com.steerinfo.framework.controller.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.web.bind.annotation.*;

/**
 * EmsEAiHourSumTab1 RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-11-23 05:10
 * 类描述
 * 修订历史：
 * 日期：2019-11-23
 * 作者：generator
 * 参考：
 * 描述：EmsEAiHourSumTab1 RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/common")
public class CommonController extends BaseRESTfulController {

	@Autowired
    private JdbcTemplate jdbcTemplate;

    @ApiOperation(value="获取数据库时间", notes="")
    //@RequiresPermissions("trmactvalue:view")
    @GetMapping(value = "/getSysdate/")
    public RESTfulResult getSysdate(){
    	String sql  = "select to_char(sysdate,'yyyy-MM-dd hh24:mi:ss') from dual";
        return success(jdbcTemplate.queryForObject(sql, String.class));
    }
}
