package com.steerinfo.ems.ifmesemswatermonitor.service;

import com.steerinfo.ems.ifmesemswatermonitor.model.IfMesEmsWatermonitor;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * IfMesEmsWatermonitor服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-12-02 02:52
 * 类描述
 * 修订历史：
 * 日期：2019-12-02
 * 作者：generator
 * 参考：
 * 描述：IfMesEmsWatermonitor服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IIfMesEmsWatermonitorService extends IBaseService<IfMesEmsWatermonitor, String>{

    /**
     * EMS获取MES数据
     * @return
     */
    int synchronousMesAnEmsData();

    /**
     * 获取未读取的材料数据
     * @return
     */
    List<IfMesEmsWatermonitor> getNewData();

    /**
     * 更改Status
     * @return
     */
    int updateStatus(Map<String, Object> params);
}