package com.steerinfo.ems.tcm0348.mapper;

import com.steerinfo.ems.tcm0348.model.TCm0348;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TCm0348Mapper extends IBaseMapper<TCm0348, String> {
    List<TCm0348> dataQuery(Map<String, Object> parameters);
    void deleteprevious(Map<String, Object> parameters);
    String checkmaxdate(String planid);
    List<TCm0348> qualityassessment(Map<String, Object> parameters);
    List<TCm0348> datacomparison(Map<String, Object> parameters);
    public List<TCm0348> getDateforbfhyd(@Param("bfhydzjdh") String bfhydzjdh);
    //修改动力数据监测值
    int updates(TCm0348 model);
}