package com.steerinfo.ems.tcm036.service.impl;

import com.steerinfo.ems.tcm036.mapper.TCm036Mapper;
import com.steerinfo.ems.tcm036.model.TCm036;
import com.steerinfo.ems.tcm036.service.ITCm036Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCm036服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-29 08:47
 * 类描述
 * 修订历史：
 * 日期：2019-10-29
 * 作者：王金涛
 * 参考：
 * 描述：TCm036服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm036Service")
public class TCm036ServiceImpl extends BaseServiceImpl<TCm036, String> implements ITCm036Service {

    @Autowired
    private TCm036Mapper tCm036Mapper;

    @Override
    protected IBaseMapper<TCm036, String> getMapper() {
        return tCm036Mapper;
    }

    synchronized  public String getMaxId(){return tCm036Mapper.getMaxId();}
}
