package com.steerinfo.ems.tcmcodeinfo.service.impl;

import com.steerinfo.ems.tcmcodeinfo.mapper.TCmCodeInfoMapper;
import com.steerinfo.ems.tcmcodeinfo.model.TCmCodeInfo;
import com.steerinfo.ems.tcmcodeinfo.service.TCmCodeInfoService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TRmEnergyType RESTful接口：
 *
 * @author 李日量
 * @Date 2019/9/27 9:16
 * @Copyright 湖南视拓信息技术股份有限公司
 */
@Service(value = "tCmCodeInfoService")
public class TCmCodeInfoServiceImpl extends BaseServiceImpl<TCmCodeInfo, String> implements TCmCodeInfoService {

    @Autowired
    private TCmCodeInfoMapper tCmCodeInfoMapper;

    @Override
    protected IBaseMapper<TCmCodeInfo, String> getMapper() {
        return tCmCodeInfoMapper;
    }


}
