package com.steerinfo.ems.tcmtimelist.service.impl;

import com.steerinfo.ems.tcmtimelist.mapper.TCmTimelistMapper;
import com.steerinfo.ems.tcmtimelist.model.TCmTimelist;
import com.steerinfo.ems.tcmtimelist.service.ITCmTimelistService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCmTimelist服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-12 10:27
 * 类描述
 * 修订历史：
 * 日期：2019-10-12
 * 作者：generator
 * 参考：
 * 描述：TCmTimelist服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCmTimelistService")
public class TCmTimelistServiceImpl extends BaseServiceImpl<TCmTimelist, String> implements ITCmTimelistService {

    @Autowired
    private TCmTimelistMapper tCmTimelistMapper;

    @Override
    protected IBaseMapper<TCmTimelist, String> getMapper() {
        return tCmTimelistMapper;
    }

    public void deletebymodel(TCmTimelist model){
        this.tCmTimelistMapper.deletebymodel(model);
    }
}
