package com.steerinfo.ems.tpmcaseact.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.tpmcaseact.model.TPmCaseAct;
import com.steerinfo.ems.tpmcaseact.mapper.TPmCaseActMapper;
import com.steerinfo.ems.tpmcaseact.service.ITPmCaseActService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Set;

/**
 * TPmCaseAct服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-11 10:28
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：generator
 * 参考：
 * 描述：TPmCaseAct服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tPmCaseActService")

public class TPmCaseActServiceImpl extends BaseServiceImpl<TPmCaseAct, HashMap<String, Object>> implements ITPmCaseActService {

    @Autowired
    private TPmCaseActMapper tPmCaseActMapper;

    @Override
    protected IBaseMapper<TPmCaseAct, HashMap<String, Object>> getMapper() {
        return tPmCaseActMapper;
    }

    @Override
    public Set<String> CompositePrimaryKey() {
        return tPmCaseActMapper.CompositePrimaryKey();
    }

    @Override
    public void deleteByCompositePrimaryKey(TPmCaseAct tPmCaseAct) {

        tPmCaseActMapper.deleteByCompositePrimaryKey(tPmCaseAct);

    }


}
