package com.steerinfo.ems.trmenergyconvert.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.trmenergyconvert.model.TRmEnergyConvert;
import com.steerinfo.ems.trmenergyconvert.mapper.TRmEnergyConvertMapper;
import com.steerinfo.ems.trmenergyconvert.service.ITRmEnergyConvertService;

import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TRmEnergyConvert服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-17 03:32
 * 类描述
 * 修订历史：
 * 日期：2019-10-17
 * 作者：generator
 * 参考：
 * 描述：TRmEnergyConvert服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmEnergyConvertService")
public class TRmEnergyConvertServiceImpl extends BaseServiceImpl<TRmEnergyConvert, String> implements ITRmEnergyConvertService {

    @Autowired
    private TRmEnergyConvertMapper tRmEnergyConvertMapper;

    @Override
    protected IBaseMapper<TRmEnergyConvert, String> getMapper() {
        return tRmEnergyConvertMapper;
    }

	@Override
	public void deleteByUPrimaryKey(Map<String, Object> parmas) {
		tRmEnergyConvertMapper.deleteByUPrimaryKey(parmas);
	}

	@Override
	public TRmEnergyConvert updateForUKey(TRmEnergyConvert tRmEnergyConvert) {
		this.getMapper().updateByPrimaryKeySelective(tRmEnergyConvert);
		return tRmEnergyConvertMapper.selectByUPrimaryKey(tRmEnergyConvert);
	}
}
