package com.steerinfo.ems.trmenergyprice.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.ems.trmenergyprice.model.TRmEnergyPrice;
import com.steerinfo.ems.trmenergyprice.mapper.TRmEnergyPriceMapper;
import com.steerinfo.ems.trmenergyprice.service.ITRmEnergyPriceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.math.BigDecimal;

/**
 * TRmEnergyPrice服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-09-17 02:53
 * 类描述
 * 修订历史：
 * 日期：2020-09-17
 * 作者：generator
 * 参考：
 * 描述：TRmEnergyPrice服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmEnergyPriceService")
public class TRmEnergyPriceServiceImpl extends BaseServiceImpl<TRmEnergyPrice, String> implements ITRmEnergyPriceService {

    @Autowired
    private TRmEnergyPriceMapper tRmEnergyPriceMapper;

    @Override
    protected IBaseMapper<TRmEnergyPrice, String> getMapper() {
        return tRmEnergyPriceMapper;
    }

	@Override
	public PageList<Map<String, Object>> getDataForPage(HashMap<String, Object> parmas, Integer pageNum,
			Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
        List<Map<String, Object>> list = tRmEnergyPriceMapper.getData(parmas);
        PageList<Map<String, Object>> pageInfo = new PageList<Map<String, Object>>(list);
        return pageInfo;
	}
}
