package com.steerinfo.ems.trmenergyproperty.service;

import com.steerinfo.ems.trmenergyproperty.model.TRmEnergyProperty;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;

/**
 * TRmEnergyProperty服务接口：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：王金涛
 * 参考：
 * 描述：TRmEnergyProperty服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmEnergyPropertyService extends IBaseService<TRmEnergyProperty, String>{
    List<TRmEnergyProperty> getNameAndId();
    int getMaxSeqNo();
    String getMaxID();
}