package com.steerinfo.ems.trmenergytype.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.trmenergytype.model.TRmEnergyType;
import com.steerinfo.ems.trmenergytype.mapper.TRmEnergyTypeMapper;
import com.steerinfo.ems.trmenergytype.service.ITRmEnergyTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Set;

/**
 * TRmEnergyType服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-09-09 06:40
 * 类描述
 * 修订历史：
 * 日期：2019-09-09
 * 作者：generator
 * 参考：
 * 描述：TRmEnergyType服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmEnergyTypeService")
public class TRmEnergyTypeServiceImpl extends BaseServiceImpl<TRmEnergyType, String> implements ITRmEnergyTypeService {

    @Autowired
    private TRmEnergyTypeMapper tRmEnergyTypeMapper;

    @Override
    protected IBaseMapper<TRmEnergyType, String> getMapper() {
        return tRmEnergyTypeMapper;
    }

    @Override
    public Set<TRmEnergyType> selectNameAndId() {
        return tRmEnergyTypeMapper.selectNameAndId();
    }
}
