package com.steerinfo.ems.trmindex.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.trmindex.model.TRmIndex;
import com.steerinfo.ems.trmindex.mapper.TRmIndexMapper;
import com.steerinfo.ems.trmindex.service.ITRmIndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TRmIndex服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-19 11:17
 * 类描述
 * 修订历史：
 * 日期：2019-10-19
 * 作者：generator
 * 参考：
 * 描述：TRmIndex服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmIndexService")
public class TRmIndexServiceImpl extends BaseServiceImpl<TRmIndex, String> implements ITRmIndexService {

    @Autowired
    private TRmIndexMapper tRmIndexMapper;

    @Override
    protected IBaseMapper<TRmIndex, String> getMapper() {
        return tRmIndexMapper;
    }
}
