package com.steerinfo.ems.trmindexitemtype.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.trmindexitemtype.model.TRmIndexItemType;
import com.steerinfo.ems.trmindexitemtype.mapper.TRmIndexItemTypeMapper;
import com.steerinfo.ems.trmindexitemtype.service.ITRmIndexItemTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TRmIndexItemType服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-30 03:34
 * 类描述
 * 修订历史：
 * 日期：2020-06-30
 * 作者：generator
 * 参考：
 * 描述：TRmIndexItemType服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmIndexItemTypeService")
public class TRmIndexItemTypeServiceImpl extends BaseServiceImpl<TRmIndexItemType, String> implements ITRmIndexItemTypeService {

    @Autowired
    private TRmIndexItemTypeMapper tRmIndexItemTypeMapper;

    @Override
    protected IBaseMapper<TRmIndexItemType, String> getMapper() {
        return tRmIndexItemTypeMapper;
    }

    @Override
    public List<Map<String, Object>> get() {
        List list = tRmIndexItemTypeMapper.get();
        return list;
    }
}
