package com.steerinfo.ems.trmindextype.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.trmindextype.model.TRmIndexType;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * TRmIndexType服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-22 04:44
 * 类描述
 * 修订历史：
 * 日期：2019-10-22
 * 作者：generator
 * 参考：
 * 描述：TRmIndexType服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmIndexTypeService extends IBaseService<TRmIndexType, String>{
    /**
     *查询联合主键
    * @return
     */
    Set<String> getCombinedPrimaryKey();

    /**
     * 根据联合主键删除
     */
    void deleteByCompositePrimaryKey(TRmIndexType tRmIndexType);

    /**
     * 查询下拉框
     * @return
     */
    List<TRmIndexType> getIdAndName(@Param("indexcol") String indexcol);
}