package com.steerinfo.ems.trml1source.service.impl;

import com.steerinfo.ems.trml1source.mapper.TRmL1sourceMapper;
import com.steerinfo.ems.trml1source.model.TRmL1source;
import com.steerinfo.ems.trml1source.service.ITRmL1sourceService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TRmL1source服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-12
 * 类描述
 * 修订历史：
 * 日期：2019-10-12
 * 作者：王金涛
 * 参考：
 * 描述：TRmL1source服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmL1sourceService")
public class TRmL1sourceServiceImpl extends BaseServiceImpl<TRmL1source, String> implements ITRmL1sourceService {

    @Autowired
    private TRmL1sourceMapper tRmL1sourceMapper;

    @Override
    protected IBaseMapper<TRmL1source, String> getMapper() {
        return tRmL1sourceMapper;
    }

    public List<TRmL1source> getNameAndId(){
        List<TRmL1source> rows = tRmL1sourceMapper.getNameAndId();
        return rows;
    }
}
