package com.steerinfo.ems.trmmaterial.service;

import com.steerinfo.ems.trmmaterial.mapper.TRmMaterialMapper;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.trmmaterial.model.TRmMaterial;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * TRmMaterial服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-12 03:00
 * 类描述
 * 修订历史：
 * 日期：2019-10-12
 * 作者：generator
 * 参考：
 * 描述：TRmMaterial服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmMaterialService extends IBaseService<TRmMaterial, String>{

    List<TRmMaterial> getIdAndName();

    /**
     * 获取ems物料编码
     * @return
     */
    Set<String> getBcode(@Param("materialid") String materialid);

    /**
     * 获取最大值
     */
    String getMaxId();

    /**
     * 获取最大序列
     */
    String getMaxNo();
}