package com.steerinfo.ems.trmunit.service;

import com.steerinfo.ems.trmunit.model.TRmUnit;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * TRmUnit服务接口：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：王金涛
 * 参考：
 * 描述：TRmUnit服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmUnitService extends IBaseService<TRmUnit, String>{
    List<TRmUnit> getIdAndName(Map<String, Object> parameters);
    String getMaxId();
}