package com.steerinfo.ems.trmworkprocmaterial.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.trmworkprocmaterial.model.TRmWorkprocMaterial;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * TRmWorkprocMaterial服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-18 09:01
 * 类描述
 * 修订历史：
 * 日期：2019-10-18
 * 作者：generator
 * 参考：
 * 描述：TRmWorkprocMaterial服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmWorkprocMaterialService extends IBaseService<TRmWorkprocMaterial, String>{

    Set<String > getitemid();

    /**
     * 获取ems生产线
     * @param ems_materialcode
     * @return
     */
    Set<String> getMes_prodline(String ems_materialcode);

    List<TRmWorkprocMaterial> getMesItemid(HashMap<String, Object> m);

    /**
     * 获取关联名称
     */
    String  getName(@Param("itemid")String itemid);

    /**
     * 获取项目信息-用于每日计算
     * @return
     */
    Set<TRmWorkprocMaterial> getIdAndDigits();
    
    /**
                  * 获取财务物料
     * @return
     */
    public List<Map<String, Object>> queryFinanceData();

}