package com.steerinfo.ems.trmworkprocproduct.service;

import com.steerinfo.ems.trmworkprocmaterial.model.TRmWorkprocMaterial;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.trmworkprocproduct.model.TRmWorkprocProduct;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * TRmWorkprocProduct服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-18 02:12
 * 类描述
 * 修订历史：
 * 日期：2019-10-18
 * 作者：generator
 * 参考：
 * 描述：TRmWorkprocProduct服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmWorkprocProductService extends IBaseService<TRmWorkprocProduct, String>{

    Set<String > getitemid();

    List<TRmWorkprocProduct> getMesItemid(HashMap<String, Object> m);

    /**
     * 获取项目信息-用于每日计算
     * @return
     */
    List<TRmWorkprocProduct> getIdAndDigits(@Param("itemtype") String itemtype);

    /**
     * 获取关联名称
     */
    String getName (@Param("itemid")String itemid);
    
    /**
	     * 获取财务物料
	* @return
	*/
    public List<Map<String, Object>> queryFinanceData();

}