package com.steerinfo.ftp.uploadfile.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ftp.uploadfile.model.UploadFile;
import com.steerinfo.ftp.uploadfile.mapper.UploadFileMapper;
import com.steerinfo.ftp.uploadfile.service.IUploadFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Set;

/**
 * UploadFile服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-07-24 04:06
 * 类描述
 * 修订历史：
 * 日期：2021-07-24
 * 作者：generator
 * 参考：
 * 描述：UploadFile服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "uploadFileService")
public class UploadFileServiceImpl extends BaseServiceImpl<UploadFile, String> implements IUploadFileService {

    @Autowired
    private UploadFileMapper uploadFileMapper;

    @Override
    protected IBaseMapper<UploadFile, String> getMapper() {
        return uploadFileMapper;
    }

    @Override
    public Set<UploadFile> getIdAndName() {
        return uploadFileMapper.getIdAndName();
    }

    @Override
    public Set<UploadFile> getTag() {
        return uploadFileMapper.getTag();
    }

}

