package com.steerinfo.task.taskconf.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.task.taskconf.model.TaskConf;
import com.steerinfo.task.taskconf.mapper.TaskConfMapper;
import com.steerinfo.task.taskconf.service.ITaskConfService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TaskConf服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-11-04 07:44
 * 类描述
 * 修订历史：
 * 日期：2019-11-04
 * 作者：generator
 * 参考：
 * 描述：TaskConf服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "taskConfService")
public class TaskConfServiceImpl extends BaseServiceImpl<TaskConf, String> implements ITaskConfService {

    @Autowired
    private TaskConfMapper taskConfMapper;

    @Override
    protected IBaseMapper<TaskConf, String> getMapper() {
        return taskConfMapper;
    }
}
