package com.steerinfo.ems.dispatchelog.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.dispatchelog.model.DispatchELog;
import com.steerinfo.ems.dispatchelog.mapper.DispatchELogMapper;
import com.steerinfo.ems.dispatchelog.service.IDispatchELogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;

/**
 * DispatchELog服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-08-08 11:39
 * 类描述
 * 修订历史：
 * 日期：2020-08-08
 * 作者：generator
 * 参考：
 * 描述：DispatchELog服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "dispatchELogService")
public class DispatchELogServiceImpl extends BaseServiceImpl<DispatchELog, String> implements IDispatchELogService {

    @Autowired
    private DispatchELogMapper dispatchELogMapper;

    @Override
    protected IBaseMapper<DispatchELog, String> getMapper() {
        return dispatchELogMapper;
    }
}
