package com.steerinfo.ems.emscalpointvalue.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.ems.emscalpointvalue.model.EmsCalpointValue;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.math.BigDecimal;

/**
 * EmsCalpointValue服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-05-16 09:36
 * 类描述
 * 修订历史：
 * 日期：2020-05-16
 * 作者：generator
 * 参考：
 * 描述：EmsCalpointValue服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IEmsCalpointValueService extends IBaseService<EmsCalpointValue, HashMap<String, Object>>{

	/**
	 * 新增或者修改，并更新对应计量点数据
	 * 
	 * @param emsCalpointValue
	 */
	void modifyOrInsert(EmsCalpointValue emsCalpointValue);

	/**
	 * 查询需要编辑的计量点数据
	 * 
	 * @param parmas
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	PageList<Map<String, Object>> getDateEditForPage(HashMap<String, Object> parmas, Integer pageNum, Integer pageSize);

}