package com.steerinfo.ems.mesemsdieseloil.mapper;

import com.steerinfo.ems.mesemsdieseloil.model.MesEmsDieseloil;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MesEmsDieseloilMapper extends IBaseMapper<MesEmsDieseloil, String> {
	/**
	 * 分组统计柴油重量（不区分柴油型号）
	 * 
	 * @param businessDate 时间
	 * @return
	 */
	List<Map<String, Object>> getMesEmsDieseloils(@Param("businessDate") String businessDate);
}