package com.steerinfo.ems.tcm0312.service;

import com.steerinfo.ems.tcm0312.model.TCm0312;
import com.steerinfo.ems.tcm0312.model.VWaterPlanId;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;

/**
 * TCm0312服务接口：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-16 11:40
 * 类描述
 * 修订历史：
 * 日期：2019-10-16
 * 作者：王金涛
 * 参考：
 * 描述：TCm0312服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITCm0312Service extends IBaseService<TCm0312, String>{
    List<VWaterPlanId> getPlanNameAndId();
    String getMaxId();
}