package com.steerinfo.ems.tcm0315.service.impl;

import com.steerinfo.ems.tcm0315.mapper.TCm0315Mapper;
import com.steerinfo.ems.tcm0315.model.TCm0315;
import com.steerinfo.ems.tcm0315.model.VPowerPlanId;
import com.steerinfo.ems.tcm0315.service.ITCm0315Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.model.ICreatePO;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.framework.utils.misc.IdGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TCm0315服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-28 09:32
 * 类描述
 * 修订历史：
 * 日期：2019-10-28
 * 作者：generator
 * 参考：
 * 描述：TCm0315服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm0315Service")
public class TCm0315ServiceImpl extends BaseServiceImpl<TCm0315, String> implements ITCm0315Service {

    @Autowired
    IdGenerator idGenerator;
    @Autowired
    private TCm0315Mapper tCm0315Mapper;

    @Override
    protected IBaseMapper<TCm0315, String> getMapper() {
        return tCm0315Mapper;
    }

    public List<VPowerPlanId> getPlanNameAndId(){
        List<VPowerPlanId> rows = tCm0315Mapper.getPlanNameAndId();
        return rows;
    }
}
