package com.steerinfo.ems.tcm0327.service.impl;

import com.steerinfo.ems.tcm0327.mapper.TCm0327Mapper;
import com.steerinfo.ems.tcm0327.model.TCm0327;
import com.steerinfo.ems.tcm0327.service.ITCm0327Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCm0327服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-29
 * 类描述
 * 修订历史：
 * 日期：2019-10-29
 * 作者：王金涛
 * 参考：
 * 描述：TCm0327服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm0327Service")
public class TCm0327ServiceImpl extends BaseServiceImpl<TCm0327, String> implements ITCm0327Service {

    @Autowired
    private TCm0327Mapper tCm0327Mapper;

    @Override
    protected IBaseMapper<TCm0327, String> getMapper() {
        return tCm0327Mapper;
    }

    synchronized  public String getMaxId(){return tCm0327Mapper.getMaxId();}
}
