package com.steerinfo.ems.tcm0334.service.impl;

import com.steerinfo.ems.tcm0334.mapper.TCm0334Mapper;
import com.steerinfo.ems.tcm0334.model.TCm0334;
import com.steerinfo.ems.tcm0334.service.ITCm0334Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TCm0334服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-15 09:49
 * 类描述
 * 修订历史：
 * 日期：2019-10-15
 * 作者：王金涛
 * 参考：
 * 描述：TCm0334服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm0334Service")
public class TCm0334ServiceImpl extends BaseServiceImpl<TCm0334, String> implements ITCm0334Service {

    @Autowired
    private TCm0334Mapper tCm0334Mapper;

    @Override
    protected IBaseMapper<TCm0334, String> getMapper() {
        return tCm0334Mapper;
    }

    public List<TCm0334> getNameAndId(){
        List<TCm0334> rows = tCm0334Mapper.getNameAndId();
        return rows;
    }
}
