package com.steerinfo.ems.tcm0349.service.impl;

import com.steerinfo.ems.tcm0349.mapper.TCm0349Mapper;
import com.steerinfo.ems.tcm0349.model.TCm0349;
import com.steerinfo.ems.tcm0349.service.ITCm0349Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCm0349服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-29
 * 类描述
 * 修订历史：
 * 日期：2019-10-29
 * 作者：王金涛
 * 参考：
 * 描述：TCm0349服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm0349Service")
public class TCm0349ServiceImpl extends BaseServiceImpl<TCm0349, String> implements ITCm0349Service {

    @Autowired
    private TCm0349Mapper tCm0349Mapper;

    @Override
    protected IBaseMapper<TCm0349, String> getMapper() {
        return tCm0349Mapper;
    }

    synchronized  public String getMaxId(){return tCm0349Mapper.getMaxId();}
}
