package com.steerinfo.ems.tcm035.service.impl;

import com.steerinfo.ems.tcm035.mapper.TCm035Mapper;
import com.steerinfo.ems.tcm035.model.TCm035;
import com.steerinfo.ems.tcm035.service.ITCm035Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCm035服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-28 04:03
 * 类描述
 * 修订历史：
 * 日期：2019-10-28
 * 作者：王金涛
 * 参考：
 * 描述：TCm035服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm035Service")
public class TCm035ServiceImpl extends BaseServiceImpl<TCm035, String> implements ITCm035Service {

    @Autowired
    private TCm035Mapper tCm035Mapper;

    @Override
    protected IBaseMapper<TCm035, String> getMapper() {
        return tCm035Mapper;
    }

    synchronized  public String getMaxId(){
        return tCm035Mapper.getMaxId();
    }
}
