package com.steerinfo.ems.tcm0350.service.impl;

import com.steerinfo.ems.tcm0350.mapper.TCm0350Mapper;
import com.steerinfo.ems.tcm0350.model.TCm0350;
import com.steerinfo.ems.tcm0350.service.ITCm0350Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCm0350服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-29
 * 类描述
 * 修订历史：
 * 日期：2019-10-29
 * 作者：王金涛
 * 参考：
 * 描述：TCm0350服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm0350Service")
public class TCm0350ServiceImpl extends BaseServiceImpl<TCm0350, String> implements ITCm0350Service {

    @Autowired
    private TCm0350Mapper tCm0350Mapper;

    @Override
    protected IBaseMapper<TCm0350, String> getMapper() {
        return tCm0350Mapper;
    }

    synchronized  public String getMaxId(){return tCm0350Mapper.getMaxId();}
}
