package com.steerinfo.ems.tcm0365.service.impl;

import com.steerinfo.ems.tcm0365.mapper.TCm0365Mapper;
import com.steerinfo.ems.tcm0365.model.TCm0365;
import com.steerinfo.ems.tcm0365.service.ITCm0365Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCm0365服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-29 10:02
 * 类描述
 * 修订历史：
 * 日期：2019-10-29
 * 作者：王金涛
 * 参考：
 * 描述：TCm0365服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm0365Service")
public class TCm0365ServiceImpl extends BaseServiceImpl<TCm0365, String> implements ITCm0365Service {

    @Autowired
    private TCm0365Mapper tCm0365Mapper;

    @Override
    protected IBaseMapper<TCm0365, String> getMapper() {
        return tCm0365Mapper;
    }

    synchronized  public String getMaxId(){return tCm0365Mapper.getMaxId();}
}
