package com.steerinfo.ems.tcmcodeitem.service.impl;

import com.steerinfo.ems.tcmcodeitem.mapper.TCmCodeitemMapper;
import com.steerinfo.ems.tcmcodeitem.model.TCmCodeitem;
import com.steerinfo.ems.tcmcodeitem.service.ITCmCodeitemService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCmCodeitem服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-28 08:03
 * 类描述
 * 修订历史：
 * 日期：2019-10-28
 * 作者：generator
 * 参考：
 * 描述：TCmCodeitem服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCmCodeitemService")
public class TCmCodeitemServiceImpl extends BaseServiceImpl<TCmCodeitem, String> implements ITCmCodeitemService {

    @Autowired
    private TCmCodeitemMapper tCmCodeitemMapper;

    @Override
    protected IBaseMapper<TCmCodeitem, String> getMapper() {
        return tCmCodeitemMapper;
    }
}
