package com.steerinfo.ems.tcmdatasourceexception.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.tcmdatasourceexception.model.TCmDatasourceException;
import com.steerinfo.ems.tcmdatasourceexception.mapper.TCmDatasourceExceptionMapper;
import com.steerinfo.ems.tcmdatasourceexception.service.ITCmDatasourceExceptionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Set;

/**
 * TCmDatasourceException服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-15 04:18
 * 类描述
 * 修订历史：
 * 日期：2019-10-15
 * 作者：generator
 * 参考：
 * 描述：TCmDatasourceException服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCmDatasourceExceptionService")
public class TCmDatasourceExceptionServiceImpl extends BaseServiceImpl<TCmDatasourceException, String> implements ITCmDatasourceExceptionService {

    @Autowired
    private TCmDatasourceExceptionMapper tCmDatasourceExceptionMapper;

    @Override
    protected IBaseMapper<TCmDatasourceException, String> getMapper() {
        return tCmDatasourceExceptionMapper;
    }

    @Override
    public Set<String> uniqueKey() {
        return tCmDatasourceExceptionMapper.uniqueKey();
    }

    @Override
    public TCmDatasourceException getOne(TCmDatasourceException model) {
        return tCmDatasourceExceptionMapper.getOne(model);
    }
}
