package com.steerinfo.ems.tcmtimedefinition.service.impl;

import com.steerinfo.ems.tcmtimedefinition.mapper.TCmTimeDefinitionMapper;
import com.steerinfo.ems.tcmtimedefinition.model.TCmTimeDefinition;
import com.steerinfo.ems.tcmtimedefinition.service.ITCmTimeDefinitionService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * TCmTimeDefinition服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：generator
 * 参考：
 * 描述：TCmTimeDefinition服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCmTimeDefinitionService")
public class TCmTimeDefinitionServiceImpl extends BaseServiceImpl<TCmTimeDefinition, String> implements ITCmTimeDefinitionService {

    @Autowired
    private TCmTimeDefinitionMapper tCmTimeDefinitionMapper;

    @Override
    protected IBaseMapper<TCmTimeDefinition, String> getMapper() {
        return tCmTimeDefinitionMapper;
    }
}
