package com.steerinfo.ems.trmcalpointvalue.mapper;

import com.steerinfo.ems.trmcalpointvalue.model.TRmCalpointValue;
import com.steerinfo.framework.mapper.IBaseMapper;

import java.util.HashMap;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TRmCalpointValueMapper extends IBaseMapper<TRmCalpointValue, HashMap<String, Object>> {

	/**
     * 计算累计值(用于计算月、年数据等)
     * @param params <br/>
     *  itemid 项目ID <br/>
     *  clock 时间头(like clock%)<br/>
     *  timegranid 时间粒度
     * @return
     */
	Double getSumvalue(HashMap<String, Object> params);
}