package com.steerinfo.ems.trmdwvalue.mapper;

import com.steerinfo.ems.trmdwvalue.model.TRmDwValue;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TRmDwValueMapper extends IBaseMapper<TRmDwValue, HashMap<String, Object>> {

	/**
     * 计算累计值
     * @param params <br/>
     *  itemid 项目ID <br/>
     *  clock 时间头(like clock%)<br/>
     *  timegranid 时间粒度
     * @return
     */
    Double getSumvalue(HashMap<String,Object> params);

    /**
     * 查询上报项目数据
     * 
     * @param parmas
     * @return
     */
	List<Map<String, Object>> getProjectwData(HashMap<String, Object> parmas);
    
	/**
     * 获取数量
     * 
     * @param params
     * @return
     */
    int getCount(Map<String,Object> params);
}