package com.steerinfo.ems.trmelectricitylocation.mapper;

import com.steerinfo.ems.trmelectricitylocation.model.TRmElectricityLocation;
import com.steerinfo.framework.mapper.IBaseMapper;

import feign.Param;

import java.math.*;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TRmElectricityLocationMapper extends IBaseMapper<TRmElectricityLocation, String> {
    /**
	 * 获取外供用电地点表最大流水号
	 * 
	 * @return
	 */
	String getMaxId();
	
	/**
     * 根据itemid获取外供电地点
     * 
     * @param itemid
     * @return
     */
	TRmElectricityLocation getByItemid(@Param("itemid") String itemid);
}