package com.steerinfo.ems.trmenergyprice.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.ems.trmenergyprice.model.TRmEnergyPrice;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.math.BigDecimal;

/**
 * TRmEnergyPrice服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-09-17 02:53
 * 类描述
 * 修订历史：
 * 日期：2020-09-17
 * 作者：generator
 * 参考：
 * 描述：TRmEnergyPrice服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmEnergyPriceService extends IBaseService<TRmEnergyPrice, String>{

	/**
	 * 分页查询能介价格
	 * @param parmas 过滤参数
	 * @param pageNum 第几页
	 * @param pageSize 每页数量
	 * @return
	 */
	PageList<Map<String, Object>> getDataForPage(HashMap<String, Object> parmas, Integer pageNum, Integer pageSize);

}