package com.steerinfo.ems.trmfactory.service;

import com.steerinfo.ems.trmfactory.model.TRmFactory;
import com.steerinfo.framework.service.IBaseService;

import java.util.Set;

/**
 * TRmFactory服务接口：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：王金涛
 * 参考：
 * 描述：TRmFactory服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmFactoryService extends IBaseService<TRmFactory, String>{

    /**
     * 查询下拉框
     * @return
     */
    Set<TRmFactory> getIdAndName();
    Long getMaxSeqno();
}