package com.steerinfo.ems.trmindextype.mapper;
import com.steerinfo.ems.trmindextype.model.TRmIndexType;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

@Mapper
public interface TRmIndexTypeMapper extends IBaseMapper<TRmIndexType, String> {
    /**
     * 查询联合主键
     * @return
     */
    Set<String> getCombinedPrimaryKey();

    /**
     * 根据联合主键删除
     */
    void deleteByCompositePrimaryKey(TRmIndexType tRmIndexType);

    /**
     * 查询下拉框
     * @return
     */
    List<TRmIndexType> getIdAndName(@Param("indexcol") String indexcol);

}