package com.steerinfo.ems.trmtransfereactvalue.mapper;

import com.steerinfo.ems.trmtransfereactvalue.model.TRmTransfereActValue;
import com.steerinfo.framework.mapper.IBaseMapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TRmTransfereActValueMapper extends IBaseMapper<TRmTransfereActValue, String> {
	/**
	 * 查询转供电实绩数据，分页显示用于编辑或者新增
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDateEdit2(HashMap<String, Object> parmas);

	/**
	 * 查询转供电实绩数据，分页显示用于审核
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDate(HashMap<String, Object> parmas);
	
	/**
	 * 查询转供电实绩数据，分页显示用于编辑或者新增
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDateEdit(HashMap<String, Object> parmas);
	
	/**
	 * 查询条件下已有数据数量
	 * 
	 * @param parmas
	 * @return
	 */
	Long countDateEdit(HashMap<String, Object> parmas);
}