package com.steerinfo.ems.trmworkprocmaterial.mapper;

import com.steerinfo.ems.trmworkprocmaterial.model.TRmWorkprocMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.Set;
import java.util.HashMap;
import java.util.List;

@Mapper
public interface TRmWorkprocMaterialMapper extends IBaseMapper<TRmWorkprocMaterial, String> {

    Set<String > getitemid();

    /**
     * 获取ems生产线
     * @param ems_materialcode
     * @return
     */
    Set<String> getMes_prodline(String ems_materialcode);

    /**
     * 根据MES产线和MES物料编码找到EMS的关联关系
     * @return
     */
    List<TRmWorkprocMaterial> getMesItemid(HashMap<String, Object> m);
    /**
     * 获取关联名称
     */
     String getName (@Param("itemid")String itemid);

    /**
     * 获取项目信息-用于每日统计
     * @return
     */
     Set<TRmWorkprocMaterial> getIdAndDigits();
}