package com.steerinfo.ems.trmworkprocproduct.mapper;

import com.steerinfo.ems.trmworkprocproduct.model.TRmWorkprocProduct;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Set;

@Mapper
public interface TRmWorkprocProductMapper extends IBaseMapper<TRmWorkprocProduct, String> {

    Set<String > getitemid();

    /**
     * 根据MES产线和MES物料编码找到EMS的关联关系
     * @return
     */
    List<TRmWorkprocProduct> getMesItemid(HashMap<String, Object> m);

    /**
     * 获取项目信息-用于每日统计
     * @return
     */
    List<TRmWorkprocProduct> getIdAndDigits(@Param("itemtype") String itemtype);

    /**
     * 获取关联名称
     */
    String getName (@Param("itemid")String itemid);
    
}