package com.steerinfo.ems.zghbjkbzlog.mapper;

import com.steerinfo.ems.zghbjkbzlog.model.ZghbjkbzLog;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.HashMap;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ZghbjkbzLogMapper extends IBaseMapper<ZghbjkbzLog, String> {
	
	/**
     * 获取一个标准最近1小时的一天记录
     * @param zid
     * @return
     */
	ZghbjkbzLog getHourZghbjkbzLog(@Param("zid")String zid);
	
	/**
	 * 生成监控日志
	 * @param zid 标准ID
	 * @param cname coredas表字段名
	 * @return
	 */
	ZghbjkbzLog createZghbjkbzLog(Map<String, Object> m);
}